#!/bin/sh
usage='usage: $0 <tag>'
name=eclipse-testframework
tag=$1
tar_name=$name-fetched-src-$tag

if [ "x$tag"x = 'xx' ]; then
   echo >&2 "$usage"
   exit 1
fi

rm -fr $tar_name && mkdir $tar_name
pushd $tar_name

#clone the repo
git clone git://git.eclipse.org/gitroot/platform/eclipse.platform.releng.git

#enter the repo
cd eclipse.platform.releng
git checkout $tag

#copy out interesting plugins
for f in \
org.eclipse.ant.optional.junit \
org.eclipse.test \
org.eclipse.test.performance \
; do
mv bundles/$f ../
done

#copy the feature
mv features/org.eclipse.test-feature ../

#leave the repo and delete it
cd .. && rm -rf eclipse.platform.releng

# Remove code coverage JARs
rm org.eclipse.test/lib/jaco*.jar
popd
# create archive
tar -cjf $tar_name.tar.bz2 $tar_name

if [ $tag = 'master' ]; then
echo "Do not forget to rename the archive to match current date!!!";
fi