%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/testframework
#There is no branch for 3.8 tagged, so the release contains a date when
# master was checked out
%global tag            I201203021723

%global easymockVerQual 2.4.0.v20090202-0900

Name:           eclipse-testframework
Version:        3.8.0
Release:        0.1%{?dist}
Summary:        Eclipse Test Framework

Group:          Development/Tools
License:        EPL
URL:            http://eclipse.org
## sh %{name}-fetch-src.sh %{tag}
Source0:        %{name}-fetched-src-%{tag}.tar.bz2
Source1:        %{name}-fetch-src.sh
# Remove win32 fragment from test feature
Patch0:         %{name}-nowin32testfragment.patch
# Some fixes for library.xml
# FIXME:  submit parts of this upstream to make tests pwd-agnostic
Patch1:         %{name}-libraryXml.patch
# Fedora doesn't ship the shared license feature
Patch2:         %{name}-nosharedlicense.patch
# Fedora doesn't have a .source bundle for easymock
Patch3:         %{name}-noeasymocksource.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.8.0
BuildRequires: easymock2
Requires: eclipse-platform >= 3.8.0
Requires: easymock2
Requires: eclipse-jdt

%description
Eclipse Test Framework. Used in conjunction with Eclipse JUnit tests.

%prep
%setup -q -n %{name}-fetched-src-%{tag}
%patch0
%patch1
%patch2
%patch3
sed -i "s:/usr/lib/eclipse:%{_libdir}/%{name}:" org.eclipse.test/library.xml

mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/easymock2.jar org.easymock_%{easymockVerQual}.jar
popd

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.test -o `pwd`/orbitDeps

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.test.zip

pushd $RPM_BUILD_ROOT%{install_loc}/eclipse/plugins
rm -fr org.junit*
rm org.easymock_%{easymockVerQual}.jar
ln -s ../../../../../java/easymock2.jar org.easymock_%{easymockVerQual}.jar
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.test/about.html
%doc org.eclipse.test-feature/rootfiles/epl-v10.html

%changelog
* Sat Mar 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.0-0.1
- Update version to match Eclipse release.

* Mon Mar 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-4
- Update the fetch script to use the git repository
- Update sources to the master

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 6 2011 Andrew Overholt <overholt@redhat.com> 3.7.0-1
- Add patch to ignore easymock .source bundle.
- Add patch to avoid shared license feature we don't have in Fedora.

* Wed Jul 6 2011 Andrew Overholt <overholt@redhat.com> 3.7.0-1
- Update to 3.7.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 7 2010 Chris Aniszczyk <zx@redhat.com> 3.6.1-1
- Update to 3.6.1.

* Wed Jul 14 2010 Alexander Kurtakov <akurtako@redhat.com> 3.6.0-1
- Update to 3.6.

* Mon Aug 31 2009 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-3
- Move library.xml patch from eclipse srpm.

* Fri Aug 21 2009 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-2
- Fix non-standard-dir-perm.

* Mon Aug 17 2009 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-1
- Initial package.
